//here we tell, that user (program) can call function main
export main;

//here we tell, that we use external function printf...
import int printf(char *,...);

//yes,simple main function (declared above as export)
int main(int arg)
{
 //we use imported function
 printf("Hello world!\nArg=%d",arg);
 //and exit
 return 0;
}
